groups['raspberry'] = {
    'bundles': {
        'raspberrypi',
    },
    'metadata': {
        'users': {
            'pi': {
                'delete': True,
            },
        },
    },
}

groups['linux'] = {
    'subgroups': {
        'arch',
        'debian',
        'raspberry',
    },
    'bundles': {
        'basic',
        'cron',
        'nftables',
        'openssh',
        'postfix',
        'sshmon',
        'sudo',
        'sysctl',
        'systemd',
        'systemd-networkd',
        'telegraf',
        'users',
    },
    'metadata': {
        'apt': {
            'unattended-upgrades': {
                'mail': libs.defaults.hostmaster_email,
            },
        },
        'backup-client': {
            'target': 'htz-hel.backup-kunsi',
        },
        'firewall': {
            'port_rules': {
                '*': {
                    'ovh.icinga2',
                },
                '*/udp': {
                    'ovh.icinga2',
                },
            },
        },
    },
    'pip_command': 'pip3',
}

groups['arch'] = {
    'bundles': {
        'pacman',
    },
    'os': 'arch',
}

groups['debian'] = {
    'subgroups': {
        'debian-buster',
        'debian-bullseye',
        'debian-sid',
    },
    'bundles': {
        'apt',
        'backup-client',
        'molly-guard',
    },
    'os': 'debian',
    'pip_command': 'pip3',
}

groups['debian-buster'] = {
    'os_version': (10,)
}

groups['debian-bullseye'] = {
    'os_version': (11,)
}

groups['debian-sid'] = {
    'os_version': (99,)
}
